package com.yxproject.start.mapper;

import com.yxproject.start.entity.GroupListEntity;
import com.yxproject.start.entity.GroupNoEntity;
import com.yxproject.start.entity.SpecialCardEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * Created by zhangyusheng on 2018/10/13 9:36
 */
@Mapper
public interface GroupNoMapper {
    public int insertGroupNoEntity(GroupNoEntity groupNoEntity);
    public List<GroupNoEntity> findGroupNoEntityByAcceptNo(String acceptNo);
    public int updateGroupinfoEntity(GroupNoEntity groupNoEntity);
    public List<GroupNoEntity> findGroupNoEntityListByTaskId(long task_Id);
    public int findGroupNoCountByTaskId(String task_Id);
    public List<Map<String,Object>> findSpecialCountyList(String task_Id);
    public List<Map<String,Object>> findNormalCountyList(String task_Id);
    public List<GroupListEntity> findGroupListByTaskListId( String taskListId);
    public List<GroupListEntity> findGroupListByTaskStateId(String taskStateId);
    public List<GroupListEntity> findGroupListByCardType( String cardType);


}
